<template>
  <section class="mt-6">
    <section class="block md:flex items-center gap-4">
      <v-skeleton-loader
        class="w-full md:w-[316px]"
        height="56"
      />

      <v-skeleton-loader
        class="w-full md:w-[316px] mt-4 md:mt-0"
        height="56"
      />
    </section>

    <section class="grid grid-cols-12 gap-4 md:gap-6 mt-4">
      <section class="col-span-12 xl:col-span-6 grid grid-cols-12 gap-4 md:gap-6">
        <Container
          v-for="n in 6"
          :key="n"
          class="h-full col-span-12 md:col-span-6 !p-4 border-l-gray-300 border-l-4"
        >
          <section class="h-full flex items-center gap-4">
            <v-skeleton-loader
              class="rounded-full"
              height="48"
              width="48"
            />

            <section class="flex-auto">
              <v-skeleton-loader
                height="26"
                width="100%"
              />

              <v-skeleton-loader
                class="mt-1"
                height="18"
                width="80%"
              />
            </section>
          </section>
        </Container>
      </section>

      <Container class="col-span-12 xl:col-span-6">
        <v-skeleton-loader
          height="24"
          width="192"
        />

        <v-skeleton-loader
          class="aspect-[16/8] mt-4"
          height="auto"
          width="100%"
        />
      </Container>

      <Container class="col-span-12 xl:col-span-6">
        <v-skeleton-loader
          height="24"
          width="192"
        />

        <v-skeleton-loader
          class="aspect-[16/8] mt-4"
          height="auto"
          width="100%"
        />
      </Container>

      <Container class="col-span-12 xl:col-span-6">
        <v-skeleton-loader
          height="24"
          width="192"
        />

        <v-skeleton-loader
          class="aspect-[16/8] mt-4"
          height="auto"
          width="100%"
        />
      </Container>
    </section>
  </section>
</template>

<script setup lang="ts">
import Container from '@/components/layout/Container.vue';
</script>